summaryrefslogtreecommitdiff
path: root/src/transport
diff options
context:
space:
mode:
authort3sserakt <t3ss@posteo.de>2021-11-29 13:51:49 +0100
committert3sserakt <t3ss@posteo.de>2021-11-29 13:51:49 +0100
commit527ec708aace867948df47499482b13776de4611 (patch)
tree7da18d54192ca05bd0c8c677757b67aaac609f48 /src/transport
parentcd5125adad55defc96a0df120a27814695c7ff75 (diff)
- added dv script, but removed it from check_SCRIPTS, because it does not worg atm.
Diffstat (limited to 'src/transport')
-rw-r--r--src/transport/Makefile.am3
-rwxr-xr-xsrc/transport/test_transport_simple_send_dv.sh11
2 files changed, 12 insertions, 2 deletions
diff --git a/src/transport/Makefile.am b/src/transport/Makefile.am
index 6c811ad7b..423602fea 100644
--- a/src/transport/Makefile.am
+++ b/src/transport/Makefile.am
@@ -776,8 +776,7 @@ check_SCRIPTS= \
test_transport_simple_send_string.sh \
test_transport_simple_send.sh \
test_transport_simple_send_broadcast.sh \
- test_transport_udp_backchannel.sh \
- test_transport_simple_send_dv.sh
+ test_transport_udp_backchannel.sh
test_transport_start_with_config_SOURCES = \
test_transport_start_with_config.c
diff --git a/src/transport/test_transport_simple_send_dv.sh b/src/transport/test_transport_simple_send_dv.sh
new file mode 100755
index 000000000..fa127cfa4
--- /dev/null
+++ b/src/transport/test_transport_simple_send_dv.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+if ! [ -d "/run/netns" ]; then
+ echo You have to create the directory /run/netns.
+fi
+if [ "$(cat /proc/sys/kernel/unprivileged_userns_clone)" == 1 ]; then
+ # exec unshare -r -nmU bash -c "mount -t tmpfs --make-rshared tmpfs /run/netns; valgrind --leak-check=full --track-origins=yes --trace-children=yes --trace-children-skip=/usr/bin/awk,/usr/bin/cut,/usr/bin/seq,/sbin/ip/sed/bash ./test_transport_start_with_config test_transport_distance_vector_topo.conf"
+ exec unshare -r -nmU bash -c "mount -t tmpfs --make-rshared tmpfs /run/netns; ./test_transport_start_with_config test_transport_distance_vector_topo.conf"
+else
+ echo -e "Error during test setup: The kernel parameter kernel.unprivileged_userns_clone has to be set to 1! One has to execute\n\n sysctl kernel.unprivileged_userns_clone=1\n"
+ exit 78
+fi